% Grafica i risultati
close all

th = 0.1;

maxr1 = max(r1(find(r1(:,1)<ts/2),2));
minr1 = min(r1(find(r1(:,1)<ts/2),2));

maxr2 = max(r2(find(r2(:,1)<ts/2),2));
minr2 = min(r2(find(r2(:,1)<ts/2),2));

maxr3 = max(r3(find(r3(:,1)<ts/2),2));
minr3 = min(r3(find(r3(:,1)<ts/2),2));

figure, subplot(311), plot(r1(:,1),r1(:,2),'-',...
        r1(:,1),maxr1*(1+th*sign(maxr1))*ones(size(r1(:,1))),'--',...
        r1(:,1),minr1*(1-th*sign(minr1))*ones(size(r1(:,1))),'--'), 
        title('Guasto su y_1(t)'), 
        subplot(312), plot(r2(:,1),r2(:,2),'-',...
        r2(:,1),maxr2*(1+th*sign(maxr2))*ones(size(r2(:,1))),'--',...
        r2(:,1),minr2*(1-th*sign(minr2))*ones(size(r2(:,1))),'--'), 
        title('Guasto su y_2(t)'), 
        subplot(313), plot(r3(:,1),r3(:,2),'-',...
        r3(:,1),maxr3*(1+th*sign(maxr3))*ones(size(r3(:,1))),'--',...
        r3(:,1),minr3*(1-th*sign(minr3))*ones(size(r3(:,1))),'--'),
        title('Guasto su y_3(t)'), 