ts = 50;  % Durata della simulazione in secondi
Tc = 0.1; % Tempo di campionamento



A = [0.9944 -0.1203 -0.4302;
     0.0017  0.9902 -0.0747;
     0       0.8187  0];
 
 
B = [0.4252 -0.0082 0.1813]';

C = eye(3);

D = zeros(3,1);

x0 = [0.05 0.15 0.2];

c1 = C(1,:);
c2 = C(2,:);
c3 = C(3,:);

v = [0.86 0.87 0.88]; % Autovalori osservatori
tf1 = ts/2;           % Istanti d'inizio guasto a gradino
tf2 = ts/2;
tf3 = ts/2;


K1 = place(A',c1',v)';
K2 = place(A',c2',v)';
K3 = place(A',c3',v)';

Ao1 = A - K1*c1; Bo1 = [B K1]; Co1 = c1; Do1 = zeros(1,2);
Ao2 = A - K2*c2; Bo2 = [B K2]; Co2 = c2; Do2 = zeros(1,2);
Ao3 = A - K3*c3; Bo3 = [B K3]; Co3 = c3; Do3 = zeros(1,2);